## org.firebirdsql.pool
Class FBPoolingDefaults

    java.lang.Object
      org.firebirdsql.pool.FBPoolingDefaults

    public class FBPoolingDefaults

extends Object

Default values for the connection pool.

Author:
  Roman Rokytskyy

Field Summary
`static int` `DEFAULT_BLOCKING_TIMEOUT`
`static int` `DEFAULT_IDLE_TIMEOUT`
`static int` `DEFAULT_ISOLATION`
`static int` `DEFAULT_LOGIN_TIMEOUT`
`static int` `DEFAULT_MAX_SIZE`
`static int` `DEFAULT_MAX_STATEMENTS`
`static int` `DEFAULT_MIN_SIZE`
`static int` `DEFAULT_PING_INTERVAL`
`static int` `DEFAULT_RETRY_INTERVAL`

Constructor Summary
`FBPoolingDefaults()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IDLE_TIMEOUT

    public static final int DEFAULT_IDLE_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_BLOCKING_TIMEOUT

    public static final int DEFAULT_BLOCKING_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_LOGIN_TIMEOUT

    public static final int DEFAULT_LOGIN_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_RETRY_INTERVAL

    public static final int DEFAULT_RETRY_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_PING_INTERVAL

    public static final int DEFAULT_PING_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_MAX_SIZE

    public static final int DEFAULT_MAX_SIZE

See Also:
  Constant Field Values

### DEFAULT_MIN_SIZE

    public static final int DEFAULT_MIN_SIZE

See Also:
  Constant Field Values

### DEFAULT_MAX_STATEMENTS

    public static final int DEFAULT_MAX_STATEMENTS

See Also:
  Constant Field Values

### DEFAULT_ISOLATION

    public static final int DEFAULT_ISOLATION

See Also:
  Constant Field Values

Constructor Detail

### FBPoolingDefaults

    public FBPoolingDefaults()

Copyright © 2001-2010. All Rights Reserved.